package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcDtsx;
import com.ruoyi.tcZz.domain.TcWljg;

/**
 * 动态筛选Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcDtsxService 
{
    /**
     * 查询动态筛选
     * 
     * @param id 动态筛选主键
     * @return 动态筛选
     */
    public TcDtsx selectTcDtsxById(Long id);

    /**
     * 查询动态筛选列表
     * 
     * @param tcDtsx 动态筛选
     * @return 动态筛选集合
     */
    public List<TcDtsx> selectTcDtsxList(TcDtsx tcDtsx);

    /**
     * 新增动态筛选
     * 
     * @param tcDtsx 动态筛选
     * @return 结果
     */
    public int insertTcDtsx(TcDtsx tcDtsx);

    /**
     * 修改动态筛选
     * 
     * @param tcDtsx 动态筛选
     * @return 结果
     */
    public int updateTcDtsx(TcDtsx tcDtsx);

    /**
     * 批量删除动态筛选
     * 
     * @param ids 需要删除的动态筛选主键集合
     * @return 结果
     */
    public int deleteTcDtsxByIds(Long[] ids);

    /**
     * 删除动态筛选信息
     * 
     * @param id 动态筛选主键
     * @return 结果
     */
    public int deleteTcDtsxById(Long id);


    /**
     * 导入动态筛选信息
     *
     * @return 结果
     */
    public String importUser(List<TcDtsx> tcDtsxList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
